【活用ガイド】

[English]

JVNDB-2016-000212

Windows 版 公的個人認証サービス 利用者クライアントソフトのインストーラにおける DLL 読み込みに関する脆弱性

概要

地方公共団体情報システム機構 (J-LIS) が提供する Windows 版 公的個人認証サービス 利用者クライアントソフトのインストーラには、DLL を読み込む際の検索パスに関する処理に不備があり、意図しない DLL を読み込んでしまう脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: NTTコミュニケーションズ 東内 裕二 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

[参考] CVSS v3 による深刻度
基本値: 7.8 (重要) [IPA値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
影響を受けるシステム

2016年10月14日以前に公開されていた、次のバージョンのインストーラが、本脆弱性の影響を受ける可能性があります。

地方公共団体情報システム機構
  • 公的個人認証サービス 利用者クライアントソフト Ver3.0.1(Windows7以降対応版)およびそれ以前の Ver3 系
  • 公的個人認証サービス 利用者クライアントソフト Ver3.0.1(Vista対応版)およびそれ以前の Ver3 系
  • 公的個人認証サービス 利用者クライアントソフト Ver2.6 およびそれ以前

想定される影響

次の条件を満たす場合に脆弱性が悪用されます。脆弱性が悪用された場合、インストーラを実行しているプロセスの権限で任意のコードを実行される可能性があります。
・攻撃者の意図する場所に、細工された DLL ファイルが何らかの方法で配置されている
対策

[最新のインストーラを使用する]
開発者が提供する情報をもとに、最新のインストーラを使用してください。

[公的個人認証サービス 利用者クライアントソフトのインストーラを実行しない]
本脆弱性の影響を受けるのはインストーラの起動時のみのため、既存のユーザは本脆弱性の影響を受けません。
また、最新版ではないインストーラは削除してください。
ベンダ情報

地方公共団体情報システム機構
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-4902
参考情報

  1. JVN : JVN#91002412
  2. National Vulnerability Database (NVD) : CVE-2016-4902
更新履歴

[2016年11月01日]
  掲載
[2016年11月16日]
  対策:内容を更新
[2016年11月22日]
  影響を受けるシステム:内容を更新
  対策:内容を更新
[2017年12月25日]
  参考情報:National Vulnerability Database (NVD) (CVE-2016-4902) を追加